PackageMarkerImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class PackageMarkerImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.PackageMarkerImpl

- All Implemented Interfaces:
    Serializable, Cloneable, MediaEntity, MetadataObject, InterchangeObject, PackageMarker

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=24576,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="PackageMarker",
                  aliases="PackageMarkerObject",
                  symbol="PackageMarker",
                  description="Provides mark-in and mark-out properties on material packages.")
      public class PackageMarkerImpl
      extends InterchangeObjectImpl
      implements PackageMarker, Cloneable, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageMarkerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PackageMarker` | `clone()` Create a cloned copy of this interchange object.
    `long` | `getPackageMarkInPosition()` Returns the start of the optional sub-section on the material package's timebase reference track timeline.
    `long` | `getPackageMarkOutPosition()` Returns the stop of the optional sub-section on the material package's timebase reference track timeline.
    `int` | `getTimebaseReferenceTrackID()` Returns the track identifier of the target track in the material package that provides the edit rate.
    `void` | `setPackageMarkInPosition(Long packageMarkInPosition)` Sets the start of the optional sub-section on the material package's timebase reference track timeline.
    `void` | `setPackageMarkOutPosition(Long packageMarkOutPosition)` Sets the stop of the optional sub-section on the material package's timebase reference track timeline.
    `void` | `setTimebaseReferenceTrackID(int timebaseReferenceTrackID)` Sets the track identifier of the target track in the material package that provides the edit rate.

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### PackageMarkerImpl

          public PackageMarkerImpl()

  - ### Method Detail

    - #### getTimebaseReferenceTrackID

          @MediaProperty(uuid1=100729091,
                         uuid2=3584,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,12},
                         definedName="TimebaseReferenceTrackID",
                         typeName="UInt32",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="TimebaseReferenceTrackID",
                         description="Track identifier of the target track in the material package that provides the edit rate.")
           @TrackID
          public int getTimebaseReferenceTrackID()

      Description copied from interface: `PackageMarker`

      Returns the track identifier of the target track in the material package that provides the edit rate.

      Specified by:
        `getTimebaseReferenceTrackID` in interface `PackageMarker`
      Returns:
        Track identifier of the track that provides the edit rate.

    - #### setTimebaseReferenceTrackID

          @MediaPropertySetter(value="TimebaseReferenceTrackID")
          public void setTimebaseReferenceTrackID(@TrackID
                                                                                                         int timebaseReferenceTrackID)
                                                                                                  throws IllegalArgumentException

      Description copied from interface: `PackageMarker`

      Sets the track identifier of the target track in the material package that provides the edit rate.

      Specified by:
        `setTimebaseReferenceTrackID` in interface `PackageMarker`
      Parameters:
        `timebaseReferenceTrackID` - Track identifier of the track that provides the edit rate.
      Throws:
        `IllegalArgumentException` - Cannot set the track identifeir to a negative value or to the identifier of a non-timeline track.

    - #### getPackageMarkInPosition

          @MediaProperty(uuid1=117571843,
                         uuid2=270,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,10},
                         definedName="PackageMarkInPosition",
                         typeName="PositionType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="PackageMarkInPosition",
                         description="Start of the optional sub-section on the material package\'s timebase reference track timeline.")
           @PositionType
          public long getPackageMarkInPosition()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         throws PropertyNotPresentException

      Description copied from interface: `PackageMarker`

      Returns the start of the optional sub-section on the material package's timebase reference track timeline. This is an optional property that, when omitted, indicates that the all tracks are to be played from the zero point.

      Specified by:
        `getPackageMarkInPosition` in interface `PackageMarker`
      Returns:
        Start of the optional sub-section.
      Throws:
        `PropertyNotPresentException` - The optional package mark-in position property is not present for this package marker.

    - #### setPackageMarkInPosition

          @MediaPropertySetter(value="PackageMarkInPosition")
          public void setPackageMarkInPosition(@PositionType
                                                                                                   Long packageMarkInPosition)

      Description copied from interface: `PackageMarker`

      Sets the start of the optional sub-section on the material package's timebase reference track timeline. Set this optional property to `null` to omit it, indicating that the all tracks are to be played from the zero point.

      Specified by:
        `setPackageMarkInPosition` in interface `PackageMarker`
      Parameters:
        `packageMarkInPosition` - Start of the optional sub-section.

    - #### getPackageMarkOutPosition

          @MediaProperty(uuid1=117571843,
                         uuid2=516,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,10},
                         definedName="PackageMarkOutPosition",
                         typeName="PositionType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="PackageMarkOutPosition",
                         description="Stop of the optional sub-section on the material package\'s timebase reference track timeline.")
           @PositionType
          public long getPackageMarkOutPosition()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           throws PropertyNotPresentException

      Description copied from interface: `PackageMarker`

      Returns the stop of the optional sub-section on the material package's timebase reference track timeline. This is an optional property that, when omitted, indicates that the stop point is at package duration.

      Specified by:
        `getPackageMarkOutPosition` in interface `PackageMarker`
      Returns:
        Stop of the optional sub-section.
      Throws:
        `PropertyNotPresentException` - The optional package mark-out position property is not present for this package marker.

    - #### setPackageMarkOutPosition

          @MediaPropertySetter(value="PackageMarkOutPosition")
          public void setPackageMarkOutPosition(@PositionType
                                                                                                     Long packageMarkOutPosition)

      Description copied from interface: `PackageMarker`

      Sets the stop of the optional sub-section on the material package's timebase reference track timeline. Set this optional property to `null` to omit it, indicating that the stop point is at package duration.

      Specified by:
        `setPackageMarkOutPosition` in interface `PackageMarker`
      Parameters:
        `packageMarkOutPosition` - Stop of the optional sub-section.

    - #### clone

          public PackageMarker clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `PackageMarker`
      Overrides:
        `clone` in class `InterchangeObjectImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.